%global modulename foolscap

Name:           python-%{modulename}
Version:        0.6.3
Release:        1%{?dist}
Summary:        Next-generation RPC protocol, intended to replace Perspective Broker

Group:          Development/Languages
License:        MIT
URL:            http://foolscap.lothar.com
Source0:        http://foolscap.lothar.com/releases/%{modulename}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python, python-devel, python-twisted-web, python-setuptools, pyOpenSSL
Requires:       python-twisted-web, pyOpenSSL

%description
Foolscap (aka newpb) is a new version of Twisted's native RPC protocol, known
as 'Perspective Broker'. This allows an object in one process to be used by
code in a distant process. This module provides data marshaling, a remote
object reference system, and a capability-based security model.

%prep
%setup -q -n %{modulename}-%{version}

%build
%{__python} setup.py build
find doc/ -name \*.py | xargs chmod 0644

%check
trial foolscap

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS ChangeLog doc/*
%dir %{python_sitelib}/%{modulename}
%{python_sitelib}/%{modulename}/*
%{python_sitelib}/*egg-info

%{_bindir}/flogtool
%{_bindir}/flappclient
%{_bindir}/flappserver

%changelog
* Fri Jan 06 2012 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.6.3-1
- Upstream released new version, for compatibility with Twisted-11.1.0

* Wed Feb 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.1-1
- Upstream released new version, Twisted-10.2 compatible

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jun 13 2010 Thomas Spura <tomspur@fedoraproject.org> 0.5.1-1
- update to new version

* Wed Sep 09 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.4.2-3
- Add requirement on pyOpenSSL

* Tue Sep 08 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.4.2-2
- Disable a single test which only fails in Koji

* Mon Sep 07 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.4.2-1
- Upstream released new version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 20 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.3.2-1
- New version from upstream

* Sun Nov 02 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.3.1-3
- More cleanup according to review (#462535)

* Fri Oct 31 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.3.1-2
- Cleanup according to review (#462535)

* Tue Sep 16 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.3.1-1
- Initial import

